Package twisted :: Package words :: Module webwords :: Class WordsGadget

[frames | no frames]

## Class WordsGadget

    Resource --+
               |
          Gadget --+
                   |
       Versioned --+
                   |
          Widget --+
                   |
                  WordsGadget

Method Summary
| `__init__(self, svc)`
| ``display`(self, request)` Implement me to represent your widget.
| `upgradeToVersion1(self)`
| `upgradeToVersion2(self)`
Inherited from Gadget
| ``addFile`(self, path)` Gadget.addFile(path) Add a static path to this Gadget.
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getWidget`(self, path, request)`
| ``pageFactory`(self, *args, **kwargs)` Gadget.pageFactory(*args, **kwargs) -> Resource By default, this method returns self.page(*args, **kwargs).
| ``putPath`(self, path, pathname)` Gadget.putPath(path, pathname) Add a static path to this Gadget.
| ``putWidget`(self, path, widget)` Gadget.putWidget(path, widget) Add a Widget to this Gadget.
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render_HEAD`(self, request)` Default handling of HEAD method.
Inherited from Widget
| ``getTitle`(self, request)`
Inherited from Versioned
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out.
| ``__setstate__`(self, state)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade.

Class Variable Summary
`int` | `persistenceVersion` = 2
`str` | `title` = `'Welcome to WebWords'`
Inherited from Gadget
`int` | `isLeaf` = 0
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None
Inherited from Versioned
`tuple` | `persistenceForgets` = `()`

Method Details

### display(self, request)

Implement me to represent your widget.

I must return a list of strings and twisted.internet.defer.Deferred instances.

  Overrides:
    `twisted.web.widgets.Widget.display` (inherited documentation)

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        2

### title

  Type:
    `str`
  Value:

        'Welcome to WebWords'

Generated by Epydoc 2.0 on Sat May 15 20:07:59 2004 | http://epydoc.sf.net